#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=dali3.12_base.ps
projection=-JM16.0c+
region=-R98.9/101.0/24.6/26.7
gmt psbasemap $region $projection -Bxa1.0f0.1 -Bya1.0f0.1 -BWeSn+t'Base Map dali3.12' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    25.221    99.448
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    25.936    99.677
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    25.823    99.911
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    24.943    99.295
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    25.858    98.978
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    25.491   100.302
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    25.558   100.286
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    26.198    99.862
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    26.575    99.898
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    26.319   100.023
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    25.570    99.469
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    26.554   100.764
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    26.226   100.206
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    26.172   100.200
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    25.335   100.104
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    25.318   100.112
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    26.156   100.553
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    26.182   100.178
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    24.889    99.171
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    25.973    99.598
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    25.929    99.779
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    26.013   100.884
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    25.718    99.591
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    26.354   100.612
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    24.737    99.643
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    25.665   100.287
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    26.392   100.131
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    25.563    99.931
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    25.685    99.306
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    25.546    99.575
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    25.926    98.975
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    26.357   100.547
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    26.493   100.530
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    25.963    99.953
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    25.852   100.376
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    25.887   100.383
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    25.865   100.432
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    25.908    99.754
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    25.594    99.649
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    25.698   100.200
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    25.618   100.283
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    25.586   100.245
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    25.577   100.214
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    25.587   100.228
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    26.286   100.661
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    25.968    99.778
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    25.957   100.839
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    24.895    99.295
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    25.946    99.787
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    25.915    99.786
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    25.430   100.621
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    25.068    99.521
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    26.068    99.588
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    26.059    99.589
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    25.917    99.797
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    25.633    99.955
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    25.680    99.957
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    25.695    99.965
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.229    99.452
    25.221    99.448
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.249    99.457
    25.221    99.448
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.934    99.679
    25.936    99.677
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.000    99.600
    25.936    99.677
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.822    99.910
    25.823    99.911
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.825    99.843
    25.823    99.911
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.938    99.295
    24.943    99.295
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.883    99.349
    24.943    99.295
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.861    98.983
    25.858    98.978
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.879    99.002
    25.858    98.978
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.498   100.302
    25.491   100.302
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.548   100.353
    25.491   100.302
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.556   100.291
    25.558   100.286
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.625   100.350
    25.558   100.286
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.200    99.865
    26.198    99.862
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.206    99.762
    26.198    99.862
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.572    99.902
    26.575    99.898
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.568   100.045
    26.575    99.898
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.323   100.025
    26.319   100.023
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.456   100.013
    26.319   100.023
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.570    99.472
    25.570    99.469
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.657    99.441
    25.570    99.469
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.551   100.764
    26.554   100.764
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.580   100.568
    26.554   100.764
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.227   100.204
    26.226   100.206
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.240   100.198
    26.226   100.206
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.170   100.203
    26.172   100.200
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.167   100.183
    26.172   100.200
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.333   100.103
    25.335   100.104
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.369   100.042
    25.335   100.104
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.317   100.110
    25.318   100.112
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.463   100.056
    25.318   100.112
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.160   100.556
    26.156   100.553
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.100   100.500
    26.156   100.553
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.182   100.174
    26.182   100.178
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.811   100.359
    26.182   100.178
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.885    99.169
    24.889    99.171
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.957    99.130
    24.889    99.171
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.974    99.598
    25.973    99.598
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.006    99.691
    25.973    99.598
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.931    99.778
    25.929    99.779
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.848    99.787
    25.929    99.779
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.011   100.885
    26.013   100.884
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.860   100.832
    26.013   100.884
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.707    99.598
    25.718    99.591
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.632    99.519
    25.718    99.591
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.349   100.616
    26.354   100.612
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.350   100.550
    26.354   100.612
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.751    99.635
    24.737    99.643
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.783    99.633
    24.737    99.643
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.664   100.301
    25.665   100.287
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.667   100.333
    25.665   100.287
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.391   100.134
    26.392   100.131
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.351   100.087
    26.392   100.131
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.561    99.931
    25.563    99.931
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.256    99.933
    25.563    99.931
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.686    99.307
    25.685    99.306
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.683    99.283
    25.685    99.306
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.545    99.578
    25.546    99.575
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.567    99.567
    25.546    99.575
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.925    98.976
    25.926    98.975
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.981    99.088
    25.926    98.975
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.355   100.547
    26.357   100.547
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.294   100.660
    26.357   100.547
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.493   100.531
    26.493   100.530
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.450   100.540
    26.493   100.530
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.959    99.956
    25.963    99.953
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.904    99.891
    25.963    99.953
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.851   100.375
    25.852   100.376
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.750   100.390
    25.852   100.376
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.889   100.382
    25.887   100.383
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.770   100.410
    25.887   100.383
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.869   100.429
    25.865   100.432
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.761   100.397
    25.865   100.432
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.908    99.753
    25.908    99.754
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.000    99.800
    25.908    99.754
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.591    99.652
    25.594    99.649
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.750    99.549
    25.594    99.649
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.699   100.202
    25.698   100.200
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.782   100.253
    25.698   100.200
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.615   100.276
    25.618   100.283
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.743   100.156
    25.618   100.283
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.578   100.248
    25.586   100.245
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.553   100.165
    25.586   100.245
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.587   100.239
    25.577   100.214
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.810   100.240
    25.577   100.214
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.587   100.229
    25.587   100.228
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.630   100.230
    25.587   100.228
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.286   100.660
    26.286   100.661
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.214   100.567
    26.286   100.661
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.968    99.779
    25.968    99.778
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.997    99.774
    25.968    99.778
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.957   100.843
    25.957   100.839
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.917   100.826
    25.957   100.839
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.898    99.299
    24.895    99.295
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.921    99.275
    24.895    99.295
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.946    99.788
    25.946    99.787
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.903    99.751
    25.946    99.787
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.915    99.790
    25.915    99.786
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.963    99.706
    25.915    99.786
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.429   100.622
    25.430   100.621
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.364   100.600
    25.430   100.621
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.070    99.524
    25.068    99.521
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.108    99.472
    25.068    99.521
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.069    99.591
    26.068    99.588
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.090    99.571
    26.068    99.588
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.060    99.591
    26.059    99.589
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.066    99.540
    26.059    99.589
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.915    99.800
    25.917    99.797
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.904    99.786
    25.917    99.797
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.625    99.947
    25.633    99.955
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.697    99.973
    25.633    99.955
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.677    99.951
    25.680    99.957
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.736    99.991
    25.680    99.957
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    25.698    99.964
    25.695    99.965
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    25.726    99.967
    25.695    99.965
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    25.221    99.448    70.902     2.422     3.844
    25.936    99.677    42.515     2.098     2.633
    25.823    99.911   -85.914     2.795     3.474
    24.943    99.295    85.980     2.229     4.011
    25.858    98.978    -7.446     5.544     6.757
    25.491   100.302    87.894     2.231     3.120
    25.558   100.286    70.520     2.227     4.332
    26.198    99.862    56.989     4.474     6.311
    26.575    99.898    24.817     2.100     3.867
    26.319   100.023   -84.666     3.193     4.458
    25.570    99.469   -87.015     2.449     4.402
    26.554   100.764    55.773     1.918     3.028
    26.226   100.206    78.008     1.223     1.282
    26.172   100.200    22.197     1.642     2.530
    25.335   100.104     5.783     1.779     2.190
    25.318   100.112   -13.268     1.994     2.796
    26.156   100.553   -53.117     2.186     2.872
    26.182   100.178    -1.272     1.809     2.306
    24.889    99.171    62.820     2.567     3.218
    25.973    99.598    73.358     1.672     2.191
    25.929    99.779    69.077     3.099     3.637
    26.013   100.884    65.913     2.434     4.097
    25.718    99.591    42.541     2.502     3.394
    26.354   100.612    88.233     1.970     2.756
    24.737    99.643    64.968     2.011     4.170
    25.665   100.287   -25.782     2.513     4.290
    26.392   100.131    72.916     2.306     3.358
    25.563    99.931   -77.319     2.212     3.137
    25.685    99.306    48.810     2.103     3.018
    25.546    99.575    39.164     2.213     3.520
    25.926    98.975   -72.541     6.088     7.585
    26.357   100.547    -4.047     1.683     2.657
    26.493   100.530    86.969     1.933     2.178
    25.963    99.953    51.262     3.189     4.486
    25.852   100.376    67.559     2.269     2.328
    25.887   100.383    81.276     2.306     4.377
    25.865   100.432    59.742     1.915     3.690
    25.908    99.754    51.730     2.483     3.374
    25.594    99.649    46.150     1.994     2.929
    25.698   100.200    10.602     3.025     3.566
    25.618   100.283    89.308     2.230     4.651
    25.586   100.245    80.461     2.156     3.465
    25.577   100.214   -27.686     2.079     5.709
    25.587   100.228   -33.875     1.885     3.277
    26.286   100.661     8.604     0.195     9.216
    25.968    99.778    82.702     3.348     3.553
    25.957   100.839   -31.253     3.219     3.864
    24.895    99.295   -67.679     2.930     3.500
    25.946    99.787   -60.793     1.627     1.968
    25.915    99.786   -38.224     1.639     2.146
    25.430   100.621   -29.497     2.975     3.931
    25.068    99.521   -52.641     2.091     2.831
    26.068    99.588   -62.592     2.153     2.745
    26.059    99.589   -61.134     2.652     3.558
    25.917    99.797   -68.151     2.556     3.109
    25.633    99.955   -34.981     2.791     5.230
    25.680    99.957   -44.861     2.544     3.814
    25.695    99.965   -56.135     3.564     5.548
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    25.680    99.957     0.200
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    24.691    98.934    56.546     1.410     1.773
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    24.691    98.957   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    24.691    98.934     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    24.691    98.934     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    24.646    98.934   5 km
END
