#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=dali3.12_dcal.ps
projection=-JM16.0c+
region=-R96.9/103.0/22.8/28.5
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration dali3.12' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.579   100.255
    25.221    99.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.936    99.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.936    99.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.579   100.255
    25.936    99.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.579   100.255
    25.936    99.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    25.936    99.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    25.936    99.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.823    99.911
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    24.943    99.295
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.579   100.255
    24.943    99.295
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.491   100.302
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    25.491   100.302
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.491   100.302
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.491   100.302
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.579   100.255
    25.558   100.286
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.558   100.286
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    25.558   100.286
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.558   100.286
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.575    99.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.587   101.202
    26.575    99.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.575    99.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.575    99.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    26.575    99.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.579   100.255
    26.575    99.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.198   101.841
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.503   101.743
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.913   101.540
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.293   100.844
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.587   101.202
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.547   100.152
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.579   100.255
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.415   101.510
    26.554   100.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.587   101.202
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.911   100.193
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.547   100.152
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.925   100.657
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    26.226   100.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.057   100.113
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.911   100.193
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.909   100.092
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.547   100.152
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.540   100.201
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.547   100.152
    26.172   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.540   100.201
    25.335   100.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.335   100.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.909   100.092
    25.335   100.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.911   100.193
    25.335   100.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.057   100.113
    25.335   100.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.335   100.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    25.335   100.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.118    99.148
    25.335   100.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.540   100.201
    25.318   100.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.318   100.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.911   100.193
    25.318   100.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.318   100.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    25.318   100.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.118    99.148
    25.318   100.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.318   100.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.318   100.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.925   100.657
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.057   100.113
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.547   100.152
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.540   100.201
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    26.156   100.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.911   100.193
    26.182   100.178
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.182   100.178
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    26.182   100.178
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.182   100.178
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.182   100.178
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    26.182   100.178
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    26.182   100.178
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.118    99.148
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.717    99.183
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.118    99.148
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.034    99.245
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.424    98.593
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.540   100.201
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    24.889    99.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.973    99.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.973    99.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.973    99.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.118    99.148
    25.973    99.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    25.973    99.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.973    99.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.973    99.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.929    99.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.929    99.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.013   100.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.013   100.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.503   101.743
    26.013   100.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.718    99.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.718    99.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    25.718    99.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    25.718    99.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.587   101.202
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.293   100.844
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.293   100.844
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.503   101.743
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.503   101.743
    26.354   100.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.034    99.245
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.034    99.245
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.424    98.593
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.424    98.593
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    24.737    99.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.665   100.287
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.665   100.287
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.665   100.287
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.665   100.287
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.665   100.287
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    25.665   100.287
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.665   100.287
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.665   100.287
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.587   101.202
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.587   101.202
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.200    99.600
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    26.392   100.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.563    99.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    25.685    99.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.685    99.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.685    99.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.685    99.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.685    99.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.685    99.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.685    99.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.685    99.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    25.546    99.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.293   100.844
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.293   100.844
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.503   101.743
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.503   101.743
    26.357   100.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.503   101.743
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.503   101.743
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.595   101.729
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.587   101.202
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    26.493   100.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.963    99.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.963    99.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.852   100.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.852   100.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.852   100.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.852   100.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.852   100.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.852   100.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    25.852   100.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    25.852   100.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.887   100.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.887   100.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.887   100.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.887   100.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    25.887   100.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    25.887   100.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.865   100.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    25.865   100.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.693   100.768
    25.865   100.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.865   100.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.865   100.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.900   100.243
    25.865   100.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.908    99.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.846    98.845
    25.594    99.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.594    99.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.594    99.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.594    99.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.594    99.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.594    99.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.594    99.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.029    98.520
    25.594    99.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.698   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.698   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.118    99.148
    25.698   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.118    99.148
    25.698   100.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.618   100.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.618   100.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.618   100.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.886    99.371
    25.618   100.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.118    99.148
    25.618   100.283
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.586   100.245
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.609   100.253
    25.586   100.245
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.586   100.245
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.586   100.245
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.577   100.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.577   100.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.577   100.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.577   100.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    25.577   100.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.577   100.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.577   100.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.577   100.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.577   100.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.587   100.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.109    99.945
    25.587   100.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.587   100.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.350   100.492
    25.587   100.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.587   100.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.050   100.517
    25.587   100.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    25.718   101.235
    25.587   100.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.587   100.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.538    99.897
    25.587   100.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   100.139
    25.587   100.228
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    25.579   100.255     0.300
    25.886    99.371     0.300
    26.538    99.897     0.300
    26.900   100.243     0.300
    24.440   100.139     0.300
    26.693   100.768     0.300
    26.587   101.202     0.300
    26.109    99.945     0.300
    26.198   101.841     0.300
    26.503   101.743     0.300
    26.913   101.540     0.300
    27.293   100.844     0.300
    26.547   100.152     0.300
    27.415   101.510     0.300
    25.350   100.492     0.300
    25.718   101.235     0.300
    25.911   100.193     0.300
    25.925   100.657     0.300
    25.609   100.253     0.300
    26.057   100.113     0.300
    25.909   100.092     0.300
    25.540   100.201     0.300
    25.118    99.148     0.300
    24.717    99.183     0.300
    25.029    98.520     0.300
    24.034    99.245     0.300
    24.424    98.593     0.300
    25.846    98.845     0.300
    25.050   100.517     0.300
    27.200    99.600     0.300
    26.595   101.729     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.221    99.448     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.936    99.677     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.823    99.911     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.943    99.295     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.858    98.978     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.491   100.302     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.558   100.286     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.198    99.862     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.575    99.898     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.319   100.023     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.570    99.469     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.554   100.764     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.226   100.206     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.172   100.200     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.335   100.104     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.318   100.112     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.156   100.553     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.182   100.178     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.889    99.171     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.973    99.598     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.929    99.779     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.013   100.884     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.718    99.591     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.354   100.612     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.737    99.643     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.665   100.287     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.392   100.131     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.563    99.931     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.685    99.306     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.546    99.575     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.926    98.975     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.357   100.547     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.493   100.530     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.963    99.953     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.852   100.376     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.887   100.383     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.865   100.432     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.908    99.754     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.594    99.649     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.698   100.200     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.618   100.283     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.586   100.245     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.577   100.214     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.587   100.228     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.286   100.661     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.968    99.778     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.957   100.839     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.895    99.295     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.946    99.787     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.915    99.786     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.430   100.621     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.068    99.521     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.068    99.588     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.059    99.589     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.917    99.797     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.633    99.955     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.680    99.957     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    25.695    99.965     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    25.799    99.977     0.000   222.000   222.000
    25.799    99.977     0.000   444.000   444.000
END
