#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=dali3.12_rdp_045.ps
projection=-JX18/12
region=-R1/34/0/13
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases dali3.12 Event 045' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.736     1.000
     2.382     2.000
     2.061     3.000
     1.769     4.000
     1.501     5.000
     1.296     6.000
     1.088     7.000
     0.975     8.000
     0.991     9.000
     1.131    10.000
     1.357    11.000
     1.634    12.000
     1.931    13.000
     2.143    14.000
     2.381    15.000
     2.645    16.000
     2.915    17.000
     3.164    18.000
     3.408    19.000
     3.689    20.000
     3.934    21.000
     4.182    22.000
     4.432    23.000
     4.686    24.000
     4.940    25.000
     5.196    26.000
     5.450    27.000
     5.707    28.000
     5.965    29.000
     6.224    30.000
     6.484    31.000
     6.744    32.000
     7.004    33.000
     7.265    34.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     3.958     1.000
     3.199     2.000
     2.515     3.000
     2.080     4.000
     1.609     5.000
     1.754     6.000
     1.500     7.000
     1.482     8.000
     1.597     9.000
     1.713    10.000
     1.873    11.000
     2.496    12.000
     3.086    13.000
     3.268    14.000
     3.453    15.000
     3.766    16.000
     4.324    17.000
     4.841    18.000
     5.295    19.000
     5.833    20.000
     6.294    21.000
     6.757    22.000
     7.220    23.000
     7.686    24.000
     8.149    25.000
     8.613    26.000
     9.071    27.000
     9.534    28.000
     9.997    29.000
    10.460    30.000
    10.922    31.000
    11.385    32.000
    11.847    33.000
    12.310    34.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.222     8.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     3.122     8.000
     5.122     8.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.122     8.000
     5.122    14.000
     3.122    14.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.122     8.000
     5.122     2.000
     3.122     2.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     8.000
     3.122     8.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     3.122     2.000
     3.122    14.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     3.122     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    14.000
     3.122    14.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    12.220     2.000 Event 20011027.0606.20
    11.440     2.000 Depth of minimum misfit =   8 km on  3 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.400     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.880     2.000 z statistic for depth uncertainty range in red
END
