#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=dali3.12_rdp_051.ps
projection=-JX18/12
region=-R1/32/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases dali3.12 Event 051' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.404     1.000
     1.985     2.000
     1.580     3.000
     1.203     4.000
     0.889     5.000
     0.705     6.000
     0.504     7.000
     0.352     8.000
     0.337     9.000
     0.590    10.000
     0.909    11.000
     1.140    12.000
     1.403    13.000
     1.688    14.000
     1.983    15.000
     2.281    16.000
     2.581    17.000
     2.891    18.000
     3.203    19.000
     3.517    20.000
     3.793    21.000
     4.057    22.000
     4.334    23.000
     4.613    24.000
     4.909    25.000
     5.188    26.000
     5.465    27.000
     5.750    28.000
     6.029    29.000
     6.321    30.000
     6.611    31.000
     6.889    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     5.127     1.000
     4.135     2.000
     3.143     3.000
     2.151     4.000
     1.274     5.000
     1.208     6.000
     0.886     7.000
     0.646     8.000
     0.660     9.000
     1.182    10.000
     1.957    11.000
     2.403    12.000
     2.837    13.000
     3.406    14.000
     4.127    15.000
     4.836    16.000
     5.541    17.000
     6.259    18.000
     6.978    19.000
     7.698    20.000
     8.327    21.000
     8.923    22.000
     9.553    23.000
    10.184    24.000
    10.853    25.000
    11.482    26.000
    12.109    27.000
    12.752    28.000
    13.381    29.000
    14.037    30.000
    14.689    31.000
    15.314    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.400     9.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.300     9.000
     4.300     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.300     9.000
     4.300    12.000
     2.300    12.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.300     9.000
     4.300     3.000
     2.300     3.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     9.000
     2.300     9.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.300     3.000
     2.300    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     3.000
     2.300     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     2.300    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20131128.0823.53
    10.560     2.000 Depth of minimum misfit =   9 km on  5 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
